<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ParallelTimingReportReturnObject StructType
 * @subpackage Structs
 */
class ParallelTimingReportReturnObject extends AbstractStructBase
{
    /**
     * The Username
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Username;
    /**
     * The PIN1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PIN1;
    /**
     * The PIN2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PIN2;
    /**
     * The StartDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $StartDate;
    /**
     * The EndDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $EndDate;
    /**
     * The Node
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Node;
    /**
     * The IncludeSuddenFuelDecrease
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $IncludeSuddenFuelDecrease;
    /**
     * The Compress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Compress;
    /**
     * The Language
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Language;
    /**
     * Constructor method for ParallelTimingReportReturnObject
     * @uses ParallelTimingReportReturnObject::setUsername()
     * @uses ParallelTimingReportReturnObject::setPIN1()
     * @uses ParallelTimingReportReturnObject::setPIN2()
     * @uses ParallelTimingReportReturnObject::setStartDate()
     * @uses ParallelTimingReportReturnObject::setEndDate()
     * @uses ParallelTimingReportReturnObject::setNode()
     * @uses ParallelTimingReportReturnObject::setIncludeSuddenFuelDecrease()
     * @uses ParallelTimingReportReturnObject::setCompress()
     * @uses ParallelTimingReportReturnObject::setLanguage()
     * @param string $username
     * @param string $pIN1
     * @param string $pIN2
     * @param string $startDate
     * @param string $endDate
     * @param string $node
     * @param string $includeSuddenFuelDecrease
     * @param string $compress
     * @param string $language
     */
    public function __construct($username = null, $pIN1 = null, $pIN2 = null, $startDate = null, $endDate = null, $node = null, $includeSuddenFuelDecrease = null, $compress = null, $language = null)
    {
        $this
            ->setUsername($username)
            ->setPIN1($pIN1)
            ->setPIN2($pIN2)
            ->setStartDate($startDate)
            ->setEndDate($endDate)
            ->setNode($node)
            ->setIncludeSuddenFuelDecrease($includeSuddenFuelDecrease)
            ->setCompress($compress)
            ->setLanguage($language);
    }
    /**
     * Get Username value
     * @return string|null
     */
    public function getUsername()
    {
        return $this->Username;
    }
    /**
     * Set Username value
     * @param string $username
     * @return \StructType\ParallelTimingReportReturnObject
     */
    public function setUsername($username = null)
    {
        // validation for constraint: string
        if (!is_null($username) && !is_string($username)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($username, true), gettype($username)), __LINE__);
        }
        $this->Username = $username;
        return $this;
    }
    /**
     * Get PIN1 value
     * @return string|null
     */
    public function getPIN1()
    {
        return $this->PIN1;
    }
    /**
     * Set PIN1 value
     * @param string $pIN1
     * @return \StructType\ParallelTimingReportReturnObject
     */
    public function setPIN1($pIN1 = null)
    {
        // validation for constraint: string
        if (!is_null($pIN1) && !is_string($pIN1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pIN1, true), gettype($pIN1)), __LINE__);
        }
        $this->PIN1 = $pIN1;
        return $this;
    }
    /**
     * Get PIN2 value
     * @return string|null
     */
    public function getPIN2()
    {
        return $this->PIN2;
    }
    /**
     * Set PIN2 value
     * @param string $pIN2
     * @return \StructType\ParallelTimingReportReturnObject
     */
    public function setPIN2($pIN2 = null)
    {
        // validation for constraint: string
        if (!is_null($pIN2) && !is_string($pIN2)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pIN2, true), gettype($pIN2)), __LINE__);
        }
        $this->PIN2 = $pIN2;
        return $this;
    }
    /**
     * Get StartDate value
     * @return string|null
     */
    public function getStartDate()
    {
        return $this->StartDate;
    }
    /**
     * Set StartDate value
     * @param string $startDate
     * @return \StructType\ParallelTimingReportReturnObject
     */
    public function setStartDate($startDate = null)
    {
        // validation for constraint: string
        if (!is_null($startDate) && !is_string($startDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($startDate, true), gettype($startDate)), __LINE__);
        }
        $this->StartDate = $startDate;
        return $this;
    }
    /**
     * Get EndDate value
     * @return string|null
     */
    public function getEndDate()
    {
        return $this->EndDate;
    }
    /**
     * Set EndDate value
     * @param string $endDate
     * @return \StructType\ParallelTimingReportReturnObject
     */
    public function setEndDate($endDate = null)
    {
        // validation for constraint: string
        if (!is_null($endDate) && !is_string($endDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($endDate, true), gettype($endDate)), __LINE__);
        }
        $this->EndDate = $endDate;
        return $this;
    }
    /**
     * Get Node value
     * @return string|null
     */
    public function getNode()
    {
        return $this->Node;
    }
    /**
     * Set Node value
     * @param string $node
     * @return \StructType\ParallelTimingReportReturnObject
     */
    public function setNode($node = null)
    {
        // validation for constraint: string
        if (!is_null($node) && !is_string($node)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($node, true), gettype($node)), __LINE__);
        }
        $this->Node = $node;
        return $this;
    }
    /**
     * Get IncludeSuddenFuelDecrease value
     * @return string|null
     */
    public function getIncludeSuddenFuelDecrease()
    {
        return $this->IncludeSuddenFuelDecrease;
    }
    /**
     * Set IncludeSuddenFuelDecrease value
     * @param string $includeSuddenFuelDecrease
     * @return \StructType\ParallelTimingReportReturnObject
     */
    public function setIncludeSuddenFuelDecrease($includeSuddenFuelDecrease = null)
    {
        // validation for constraint: string
        if (!is_null($includeSuddenFuelDecrease) && !is_string($includeSuddenFuelDecrease)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($includeSuddenFuelDecrease, true), gettype($includeSuddenFuelDecrease)), __LINE__);
        }
        $this->IncludeSuddenFuelDecrease = $includeSuddenFuelDecrease;
        return $this;
    }
    /**
     * Get Compress value
     * @return string|null
     */
    public function getCompress()
    {
        return $this->Compress;
    }
    /**
     * Set Compress value
     * @param string $compress
     * @return \StructType\ParallelTimingReportReturnObject
     */
    public function setCompress($compress = null)
    {
        // validation for constraint: string
        if (!is_null($compress) && !is_string($compress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($compress, true), gettype($compress)), __LINE__);
        }
        $this->Compress = $compress;
        return $this;
    }
    /**
     * Get Language value
     * @return string|null
     */
    public function getLanguage()
    {
        return $this->Language;
    }
    /**
     * Set Language value
     * @param string $language
     * @return \StructType\ParallelTimingReportReturnObject
     */
    public function setLanguage($language = null)
    {
        // validation for constraint: string
        if (!is_null($language) && !is_string($language)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($language, true), gettype($language)), __LINE__);
        }
        $this->Language = $language;
        return $this;
    }
}
